Bug 71160 - libasan: Backport support for malloc within dlsym
Summary: libasan: Backport support for malloc within dlsym
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: sanitizer (show other bugs)
Version: 5.3.1
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-17 08:38 UTC by Florian Weimer
Modified: 2016-07-08 07:22 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Weimer 2016-05-17 08:38:12 UTC
Please backport this ASAN upstream fix:

  https://llvm.org/bugs/show_bug.cgi?id=27310
  http://reviews.llvm.org/rL269633

glibc 2.24 (to be released in August 2016) will likely require this ASAN fix, otherwise all ASAN binaries will break.  It would nice to have point releases by then, or at least the backports on the relevant branches.
Comment 1 Jakub Jelinek 2016-05-17 09:18:26 UTC
Author: jakub
Date: Tue May 17 09:17:54 2016
New Revision: 236314

URL: https://gcc.gnu.org/viewcvs?rev=236314&root=gcc&view=rev
Log:
	PR sanitizer/71160
	* asan/asan_malloc_linux.cc: Cherry pick upstream r254395
	and r269633.

Modified:
    trunk/libsanitizer/ChangeLog
    trunk/libsanitizer/asan/asan_malloc_linux.cc
Comment 2 Jakub Jelinek 2016-05-18 21:27:26 UTC
Author: jakub
Date: Wed May 18 21:26:54 2016
New Revision: 236432

URL: https://gcc.gnu.org/viewcvs?rev=236432&root=gcc&view=rev
Log:
	Backported from mainline
	2016-05-17  Jakub Jelinek  <jakub@redhat.com>

	PR sanitizer/71160
	* asan/asan_malloc_linux.cc: Cherry pick upstream r254395
	and r269633.

Modified:
    branches/gcc-6-branch/libsanitizer/ChangeLog
    branches/gcc-6-branch/libsanitizer/asan/asan_malloc_linux.cc
Comment 3 Jakub Jelinek 2016-05-18 21:29:20 UTC
Author: jakub
Date: Wed May 18 21:28:49 2016
New Revision: 236433

URL: https://gcc.gnu.org/viewcvs?rev=236433&root=gcc&view=rev
Log:
	Backported from mainline
	2016-05-17  Jakub Jelinek  <jakub@redhat.com>

	PR sanitizer/71160
	* asan/asan_malloc_linux.cc: Cherry pick upstream r254395
	and r269633.

Modified:
    branches/gcc-5-branch/libsanitizer/ChangeLog
    branches/gcc-5-branch/libsanitizer/asan/asan_malloc_linux.cc
Comment 4 Jakub Jelinek 2016-07-07 21:51:53 UTC
Author: jakub
Date: Thu Jul  7 21:51:21 2016
New Revision: 238142

URL: https://gcc.gnu.org/viewcvs?rev=238142&root=gcc&view=rev
Log:
	Backported from mainline
	2016-05-17  Jakub Jelinek  <jakub@redhat.com>

	PR sanitizer/71160
	* asan/asan_malloc_linux.cc: Cherry pick upstream r254395
	and r269633.

Modified:
    branches/gcc-4_9-branch/libsanitizer/ChangeLog
    branches/gcc-4_9-branch/libsanitizer/asan/asan_malloc_linux.cc
Comment 5 Jakub Jelinek 2016-07-08 07:22:08 UTC
Backported to all open release branches.